For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList routines
      • GETGet a routine
      • POSTCreate a routine
      • PATCHUpdate a routine
      • DELDelete a routine
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRoutines

List routines

GET
https://api.x.flatfile.com/v1/routines
GET
/v1/routines
$curl -G https://api.x.flatfile.com/v1/routines \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d runbookId=us_rb_YOUR_ID
1{
2 "data": [
3 {
4 "id": "us_rtn_YOUR_ID",
5 "runbookId": "us_rb_YOUR_ID",
6 "name": "Split Address to Street, City, State, Zip",
7 "config": {
8 "sourceSheetId": "us_sh_YOUR_ID",
9 "destinationSheetId": "us_sh_YOUR_ID",
10 "programId": "us_mp_YOUR_ID"
11 },
12 "ordinal": 1,
13 "type": "JOB",
14 "createdBy": "us_usr_YOUR_ID",
15 "createdAt": "2024-12-05T00:00:00Z",
16 "updatedAt": "2024-12-05T00:00:00Z"
17 }
18 ]
19}
Returns a list of routines
Was this page helpful?
Previous

Get a routine

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

runbookIdstringRequired
Runbook ID

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error